PSA: please run build/install-build-deps.sh to install libpci headers

Showing 1-15 of 15 messages
PSA: please run build/install-build-deps.sh to install libpci headers Paweł Hajdan, Jr. 11/1/12 2:10 PM
After https://chromiumcodereview.appspot.com/11343015/ you need libpci headers on your Linux machine, so please remember to run build/install-build-deps.sh if you get build errors that look like below:

../../content/gpu/gpu_info_collector_linux.cc:13:21: error: pci/pci.h: No such
file or directory

If you have any questions or feedback, please let me know. The change is committed and bots are fine with it.

Paweł
Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Lei Zhang 11/1/12 2:14 PM
On behalf of everyone who was surprised by this, next time please send
out the PSA a day or two before actually using the new required
dependency.
> --
> Chromium Developers mailing list: chromi...@chromium.org
> View archives, change email options, or unsubscribe:
> http://groups.google.com/a/chromium.org/group/chromium-dev
Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Scott Hess 11/1/12 2:30 PM
I think it would useful if there were a --check type thing for build
deps, which hopefully could be cheap enough to integrate into runhooks
or somesuch.  I do Linux development just seldom enough that a PSA
isn't going to register, but just often enough that every change to
the list of deps causes me to build twice :-).

[I'm not crazy, clearly runhooks can't be running sudo stuff.  But the
check doesn't need special privs.]

-scott
Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers James Robinson 11/1/12 3:48 PM
You didn't update all bots: http://build.chromium.org/p/chromium.webkit/builders/Linux%20Perf/builds/17656/steps/compile/logs/stdio#error1 at a minimum is still failing to compile with this error.

- James

On Thu, Nov 1, 2012 at 2:10 PM, Paweł Hajdan, Jr. <phajd...@chromium.org> wrote:

Paweł

--
Chromium Developers mailing list: chromi...@chromium.org
View archives, change email options, or unsubscribe:
http://groups.google.com/a/chromium.org/group/chromium-dev

Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Lei Zhang 11/1/12 3:52 PM
I just did. I'll keep an eye on it. Ping me on IRC if you see any more
bots that didn't get the new dependency update.
Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Thiago Farina 11/1/12 6:33 PM
On Thu, Nov 1, 2012 at 8:52 PM, Lei Zhang <the...@chromium.org> wrote:
> I just did. I'll keep an eye on it. Ping me on IRC if you see any more
> bots that didn't get the new dependency update.
>
I got this is http://build.chromium.org/p/tryserver.chromium/builders/linux_asan/builds/7534/steps/compile/logs/stdio

../../content/gpu/gpu_info_collector_linux.cc:13:10: fatal error:
'pci/pci.h' file not found
#include <pci/pci.h>
         ^
1 error generated.

--
Thiago
This message has been hidden because it was flagged for abuse.
Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Hans Wennborg 11/2/12 3:18 AM
On Fri, Nov 2, 2012 at 1:42 AM, Chase Phillips <c...@google.com> wrote:
> On Thu, Nov 1, 2012 at 6:33 PM, Thiago Farina <tfa...@chromium.org> wrote:
>>
>> On Thu, Nov 1, 2012 at 8:52 PM, Lei Zhang <the...@chromium.org> wrote:
>> > I just did. I'll keep an eye on it. Ping me on IRC if you see any more
>> > bots that didn't get the new dependency update.
>> >
>> I got this is
>> http://build.chromium.org/p/tryserver.chromium/builders/linux_asan/builds/7534/steps/compile/logs/stdio
>>
>> ../../content/gpu/gpu_info_collector_linux.cc:13:10: fatal error:
>> 'pci/pci.h' file not found
>> #include <pci/pci.h>
>>          ^
>> 1 error generated.
>
>
> Thanks.  That bot should not be online serving jobs, but it was, so I took
> it offline.  Please retry your job.

I just had a linux_clang tryjob fail with the same error:

http://build.chromium.org/p/tryserver.chromium/builders/linux_clang/builds/61067/steps/compile/logs/stdio
Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Patrik Höglund 11/2/12 3:31 AM
Me too:


/ P



--
Chromium Developers mailing list: chromi...@chromium.org
View archives, change email options, or unsubscribe:
    http://groups.google.com/a/chromium.org/group/chromium-dev

Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Bernhard Bauer 11/2/12 4:49 AM
I installed it on those two bots. If anyone runs into any more of these errors in the next couple of hours, feel free to ping me with the bot names.

Bernhard.
Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Thiago Farina 11/2/12 9:43 AM
On Fri, Nov 2, 2012 at 9:49 AM, Bernhard Bauer <bau...@google.com> wrote:
> I installed it on those two bots. If anyone runs into any more of these
> errors in the next couple of hours, feel free to ping me with the bot names.
>
Happened again for me:
http://build.chromium.org/p/tryserver.chromium/builders/linux_asan/builds/7603/steps/compile/logs/stdio

--
Thiago
Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Bernhard Bauer 11/2/12 10:03 AM
Done.
Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Leon Scroggins 11/7/12 10:32 AM
When I run that script I get the following message:

We no longer recommend that you use this script to install
32bit libraries on a 64bit system. Instead, consider using
the install-chroot.sh script to help you set up a 32bit
environment for building and testing 32bit versions of Chrome.

If you nonetheless want to try installing 32bit libraries
directly, you can do so by explicitly passing the --lib32
option to install-build-deps.sh.
Exiting without installing any 32bit libraries.

What is the correct option for a 64bit machine?



Paweł

--
Chromium Developers mailing list: chromi...@chromium.org
View archives, change email options, or unsubscribe:
http://groups.google.com/a/chromium.org/group/chromium-dev

Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Marc-Antoine Ruel 11/7/12 10:37 AM
The default choice.

2012/11/7 Leon Scroggins <scr...@chromium.org>

Re: [chromium-dev] PSA: please run build/install-build-deps.sh to install libpci headers Michael Moss 11/7/12 10:38 AM
That's correct behavior, but the messaging could probably be better.
It sounds like it's not doing something that you might expect it to
do, but it's really just telling you that it's no longer offering to
install 32-bit libs, like it used to, without you explicitly
requesting it.